/* Nguồn xem tại: https://stackoverflow.com/questions/17871528/create-a-rotating-cube-with-only-css */
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

html, body {
	height: 100%;
	background: #29303b;
	display: flex;
	align-items: center;
	justify-content: center;
}


.cube div {
    position: absolute;
    width: 300px;
    height: 300px;
    border: 4px solid #fff;
    background: rgba(255,255,255,0.8);
    box-shadow: inset 0 0 20px rgba(0,0,0,0.2);
    text-align: center;
    line-height: 300px;
    font-size: 100px;
	display: grid;
	grid-template-columns: 100px 100px 100px;
	opacity: 0.8;
}

.cube div span {
	width: 100px;
	height: 100px;
    border: 4px solid #fff;
}

.cube .front { 
    transform: translateZ(150px);
	background-color: #fa5252;
}
.cube .right { 
    transform: rotateY(90deg) translateZ(150px);
	background-color: #12b886;
}
.cube .top { 
    transform: rotateY(90deg) rotateX(90deg) translateZ(150px); 
	background-color:  #fab005;
}
.cube .back { 
    transform: rotateY(180deg) rotateZ(90deg) translateZ(150px); 
	background-color: #f76707;
}
.cube .left { 
    transform: rotateY(-90deg) rotateZ(90deg) translateZ(150px); 
	background-color: #4c6ef5;
}
.cube .bottom { 
    transform: rotateX(-90deg) translateZ(150px);
	background-color: #7950f2;
}

.cube {
    animation: spincube 12s ease-in-out infinite;
    -webkit-transform-style: preserve-3d;
    -ms-transform-style: preserve-3d;
    transform-style: preserve-3d;
    transform-origin: 150px 150px 0;
}

@keyframes spincube {
    12.5%      { transform: rotateY(-90deg); }
    25%      { transform: rotateY(-180deg); }
    37.5%      { transform: rotateY(-270deg); }
    50%      { transform: rotateY(-390deg); }
    62.5%      { transform: rotateY(-270deg); }
    75%      { transform: rotateY(-180deg); }
    87.5%      { transform: rotateY(-90deg); }
}

@keyframes spincube_bk {
    16%      { -ms-transform: rotateY(-90deg); transform: rotateY(-90deg); }
    33%      { -ms-transform: rotateY(-90deg) rotateZ(90deg); transform: rotateY(-90deg) rotateZ(90deg); }
    50%      { -ms-transform: rotateY(180deg) rotateZ(90deg); transform: rotateY(180deg) rotateZ(90deg); }
    66%      { -ms-transform: rotateY(90deg) rotateX(90deg); transform: rotateY(90deg) rotateX(90deg); }
    83%      { -ms-transform: rotateX(90deg); transform: rotateX(90deg); }
}